MediaWiki:Common.css: различия между версиями

мНет описания правки
Нет описания правки
Строка 1056: Строка 1056:
grid-template-columns: 1fr;
grid-template-columns: 1fr;
}
}
}
/*=== Шаблон:Сущность ===*/
.ts-Cut-layout {
display: flex;
flex-direction: column;
    justify-content: center;
gap: 8px;
padding: 10px 18px;
box-shadow: var(--box-shadow-high);
background-color: var(--bg-color); /* --bg-color из стилей шаблона; по умолчанию: var(--theme-bg-color-200) */
border-radius: var(--border-radius-low);
    height: inherit;
    box-sizing: border-box;
   
--clip: 1em;
clip-path: polygon(0 0, calc(100% - var(--clip)) 0, 100% var(--clip), 100% 100%, var(--clip) 100%, 0 calc(100% - var(--clip)));
}
.ts-Cut-layout__header {
display: flex;
justify-content: space-between;
    align-items: center;
gap: 8px;
}
.ts-Cut-layout__header-arrow {
    display: grid;
    grid-template-columns: 1fr auto 1fr;
    text-align: center;
}
.ts-Cut-layout__body {
flex-grow: 100;
padding: 8px;
position: relative;
font-size: var(--font-size-s);
overflow: auto;
margin: 0 6px;
background: rgba(0, 0, 0, var(--alpha-s));
border-radius: var(--border-radius-low);
}
}